Skip to main content
POST
/
v1
/
exchange
/
stablefx
/
settlementAdvance
/
reservation
/
{reservationId}
/
cancel
Cancel a settlement advance reservation
curl --request POST \
  --url https://api.circle.com/v1/exchange/stablefx/settlementAdvance/reservation/{reservationId}/cancel \
  --header 'Authorization: Bearer <token>'
{
  "id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
  "amount": {
    "currency": "USDC",
    "amount": "100.00"
  },
  "status": "active",
  "expirationDate": "2023-01-01T12:04:05Z",
  "createDate": "2023-01-01T12:04:05Z"
}

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are requred to make a successful request.

Path Parameters

reservationId
string<uuid>
required

The reservation identifier. System-generated unique identifier of the resource.

Example:

"c4d1da72-111e-4d52-bdbf-2e74a2d803d5"

Response

Reservation canceled successfully.

Settlement advance reservation.

id
string<uuid>
required

System-generated unique identifier of the resource.

Example:

"c4d1da72-111e-4d52-bdbf-2e74a2d803d5"

amount
object
required

Currency and amount for settlement advance flows.

status
enum<string>
required

Status of a settlement advance reservation.

  • active -- reservation is live; holds available-balance capacity on the credit line.
  • expired -- reservation window elapsed without an origination claiming it; terminal state.
  • consumed -- origination claimed this reservation; terminal state.
  • canceled -- reservation voided by admin or system action; terminal state.
Available options:
active,
expired,
consumed,
canceled
Example:

"active"

expirationDate
string<date-time>
required

Date and time when the resource expires

Example:

"2023-01-01T12:04:05Z"

createDate
string<date-time>

Date and time when the resource was created

Example:

"2023-01-01T12:04:05Z"